% ------------------------------------------------------------------------------
% Copyright (c) 2010, 2021 Contributors to the Eclipse Foundation
%
% See the NOTICE file(s) distributed with this work for additional
% information regarding copyright ownership.
%
% This program and the accompanying materials are made available under the terms
% of the MIT License which is available at https://opensource.org/licenses/MIT
%
% SPDX-License-Identifier: MIT
% ------------------------------------------------------------------------------
\documentclass{article}
\usepackage{tikz}
\usepackage{verbatim}

\usepackage[paperwidth=40in, paperheight=20in]{geometry}

\usetikzlibrary{arrows, automata, positioning, shapes.geometric}
\begin{document}
\pagestyle{empty}

\definecolor{se-blue}{HTML}{D0D5FF}

\newcommand{\state}[2]{\begin{tabular}{@{}c@{}}#1\\#2\end{tabular}}

\begin{tikzpicture}[
  ->,>=stealth',auto,node distance=3.5cm,thick,
  every node/.style={font=\sffamily\small},
  every state/.style={draw=se-blue,thick,top color=white,ellipse,
                      bottom color=se-blue!75,initial text=},
  initial/.style={initial above},
  accepting/.style={accepting by arrow,accepting text=\ldots},
  every edge/.style={draw=black!50}]

  \node[state]            (s00) [            ] {0};
  \node[state]            (s01) [right of=s00] {1};
  \node[state]            (s02) [right of=s01] {2};
  \node[state, initial]   (s03) [right of=s02] {3};
  \node[state]            (s04) [right of=s03] {4};
  \node[state]            (s05) [right of=s04] {5};

  \path[every node/.style={font=\sffamily\normalsize,outer sep=0pt}]
    (s00) edge[bend left] node[] {increment} (s01)
    (s01) edge[bend left] node[] {decrement} (s00)
    (s01) edge[bend left] node[] {increment} (s02)
    (s02) edge[bend left] node[] {decrement} (s01)
    (s02) edge[bend left] node[] {increment} (s03)
    (s03) edge[bend left] node[] {decrement} (s02)
    (s03) edge[bend left] node[] {increment} (s04)
    (s04) edge[bend left] node[] {decrement} (s03)
    (s04) edge[bend left] node[] {increment} (s05)
    (s05) edge[bend left] node[] {decrement} (s04)
  ;

\end{tikzpicture}
\end{document}
